| Irrlicht 3D Engine |

Public Member Functions
irr::scene::ISceneNodeAnimatorCameraMaya Class Reference

Special scene node animator for Maya-style cameras. More...

`#include <ISceneNodeAnimatorCameraMaya.h>`

Inheritance diagram for irr::scene::ISceneNodeAnimatorCameraMaya:

List of all members.

## Public Member Functions

- virtual f32 getDistance () const =0
    Returns the current distance, i.e. orbit radius.
- virtual f32 getMoveSpeed () const =0
    Returns the speed of movement.
- virtual f32 getRotateSpeed () const =0
    Returns the rotation speed.
- virtual f32 getZoomSpeed () const =0
    Returns the zoom speed.
- virtual void setDistance (f32 distance)=0
    Set the distance.
- virtual void setMoveSpeed (f32 moveSpeed)=0
    Sets the speed of movement.
- virtual void setRotateSpeed (f32 rotateSpeed)=0
    Set the rotation speed.
- virtual void setZoomSpeed (f32 zoomSpeed)=0
    Set the zoom speed.

## Detailed Description

Special scene node animator for Maya-style cameras.

This scene node animator can be attached to a camera to make it act like a 3d modelling tool. The camera is moving relative to the target with the mouse, by pressing either of the three buttons. In order to move the camera, set a new target for the camera. The distance defines the current orbit radius the camera moves on. Distance can be changed via the setter or by mouse events.

Definition at line 25 of file ISceneNodeAnimatorCameraMaya.h.

## Member Function Documentation

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getDistance | ( |  | ) | const`[pure virtual]`

Returns the current distance, i.e. orbit radius.

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getMoveSpeed | ( |  | ) | const`[pure virtual]`

Returns the speed of movement.

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getRotateSpeed | ( |  | ) | const`[pure virtual]`

Returns the rotation speed.

virtual f32 irr::scene::ISceneNodeAnimatorCameraMaya::getZoomSpeed | ( |  | ) | const`[pure virtual]`

Returns the zoom speed.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setDistance | ( | f32 | distance | ) | `[pure virtual]`

Set the distance.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setMoveSpeed | ( | f32 | moveSpeed | ) | `[pure virtual]`

Sets the speed of movement.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setRotateSpeed | ( | f32 | rotateSpeed | ) | `[pure virtual]`

Set the rotation speed.

virtual void irr::scene::ISceneNodeAnimatorCameraMaya::setZoomSpeed | ( | f32 | zoomSpeed | ) | `[pure virtual]`

Set the zoom speed.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCameraMaya.h